# Uses of Interface
org.eclipse.help.search.ISearchEngineResult

Packages that use ISearchEngineResult
Package
Description
org.eclipse.help.search
Provides the ability to add participants to help search and is responsible for creating search indices.

## Uses of ISearchEngineResult in org.eclipse.help.search

Subinterfaces of ISearchEngineResult in org.eclipse.help.search
Modifier and Type
Interface
Description
`interface`
`ISearchEngineResult2`
An extension of the search result interface that allows engines to define engine result icon for each search result.
Methods in org.eclipse.help.search with parameters of type ISearchEngineResult
Modifier and Type
Method
Description
`void`
ISearchEngineResultCollector.`accept(ISearchEngineResult searchResult)`
Accepts a new search result object.
`void`
ISearchEngineResultCollector.`accept(ISearchEngineResult[] searchResults)`
Accepts an array of new search results.